<?php
 
    header('Content-type: text/css');

    $parse_uri = explode('wp-content', $_SERVER[ 'SCRIPT_FILENAME' ]);
    $wp_load = $parse_uri[ 0 ] . 'wp-load.php';
    require_once($wp_load);

    // color options
    $accent_color = markety_option('accent-color', false, '#ef476f');
    $section_title = markety_option('section-title-color', false, '#26547c');
    $link_color = markety_option('link-color', false, '#ef476f');

    // background color options
    $body_bg_color = markety_option('body-bg-color', false, '#ffffff');
    
    // accent color darken
    $accent_darken = markety_modify_color( $accent_color, -50 );
    $link_darken = markety_modify_color( $link_color, -50 );

    // body typography
    $font_color = markety_option('body-typography', 'color');
    $font_size = markety_option('body-typography', 'font-size');
    $font_family = markety_option('body-typography', 'font-family');
    $font_weight = markety_option('body-typography', 'font-weight');
    $line_height = markety_option('body-typography', 'line-height');

    // heading typography
    $heading_color = markety_option('heading-typography', 'color');
    $heading_font_family = markety_option('heading-typography', 'font-family');
    $heading_font_weight = markety_option('heading-typography', 'font-weight');

    // specific title size and it's line height

    // for H1
    $h1_font_size = markety_option('h1-typography', 'font-size');
    $h1_line_height = markety_option('h1-typography', 'line-height');

    // for H2
    $h2_font_size = markety_option('h2-typography', 'font-size');
    $h2_line_height = markety_option('h2-typography', 'line-height');

    // for H3
    $h3_font_size = markety_option('h3-typography', 'font-size');
    $h3_line_height = markety_option('h3-typography', 'line-height');

    // for H4
    $h4_font_size = markety_option('h4-typography', 'font-size');
    $h4_line_height = markety_option('h4-typography', 'line-height'); 

    // for H5
    $h5_font_size = markety_option('h5-typography', 'font-size');
    $h5_line_height = markety_option('h5-typography', 'line-height');

    // for H6
    $h6_font_size = markety_option('h6-typography', 'font-size');
    $h6_line_height = markety_option('h6-typography', 'line-height');

    // default menu color
    $default_font_color = markety_option('menu-color', false, false);
    if ($default_font_color) :
        $default_font_color = 'color:' .$default_font_color. '';
    endif;

    // mobile menu color
    $mobile_menu_font_color = markety_option('mobile-menu-color', false, false);
    if ($mobile_menu_font_color) :
        $mobile_menu_font_color = 'color:' .$mobile_menu_font_color. '';
    endif;

    // sticky menu color
    $sticky_font_color = markety_option('sticky-menu-color', false, false);
    if ($sticky_font_color) :
        $sticky_font_color = 'color:' .$sticky_font_color. '';
    endif;

    // menu background
    $menu_bg_color = markety_option('menu-bg-color', false, false);
    if ($menu_bg_color) :
        $menu_bg_color = 'background-color:' .$menu_bg_color. '';
    endif;

    // mobile menu background
    $mobile_menu_bg_color = markety_option('mobile-menu-bg-color', false, false);
    if ($mobile_menu_bg_color) :
        $mobile_menu_bg_color = 'background-color:' .$mobile_menu_bg_color. '';
    endif;

    // sticky menu background
    $sticky_menu_bg_color = markety_option('sticky-menu-bg-color', false, false);
    if ($sticky_menu_bg_color) :
        $sticky_menu_bg_color = 'background-color:' .$sticky_menu_bg_color. '';
    endif;
?>

body{
    background-color: <?php echo esc_attr($body_bg_color) ?>;
    color: <?php echo esc_attr($font_color) ?>;
    font-size: <?php echo esc_attr($font_size) ?>;
    font-family: <?php echo esc_attr($font_family) ?>, sans-serif;
    font-weight: <?php echo esc_attr($font_weight) ?>;
    line-height: <?php echo esc_attr($line_height) ?>;
}

h1, 
h2, 
h3, 
h4, 
h5, 
h6{
    color: <?php echo esc_attr($heading_color) ?>;
    font-family: <?php echo esc_attr($heading_font_family) ?>, sans-serif;
    font-weight: <?php echo esc_attr($heading_font_weight) ?>;
}
h1{
    font-size: <?php echo esc_attr($h1_font_size) ?>;
    line-height: <?php echo esc_attr($h1_line_height) ?>;
}
h2{
    font-size: <?php echo esc_attr($h2_font_size) ?>;
    line-height: <?php echo esc_attr($h2_line_height) ?>;
}
h3{
    font-size: <?php echo esc_attr($h3_font_size) ?>;
    line-height: <?php echo esc_attr($h3_line_height) ?>;
}
h4{
    font-size: <?php echo esc_attr($h4_font_size) ?>;
    line-height: <?php echo esc_attr($h4_line_height) ?>;
}
h5{
    font-size: <?php echo esc_attr($h5_font_size) ?>;
    line-height: <?php echo esc_attr($h5_line_height) ?>;
}
h6{
    font-size: <?php echo esc_attr($h6_font_size) ?>;
    line-height: <?php echo esc_attr($h6_line_height) ?>;
}

.entry-header h2 a{
    color: <?php echo esc_attr($heading_color) ?>;
}

.vc_tta.vc_general.vc_tta-style-tab-default .vc_tta-title-text,
.vc_tta.vc_general.vc_tta-style-tab-border-top .vc_tta-tab>a,
.nav-tabs>li>a,
.basecamp-testimonial blockquote footer,
.counter-section{
    font-family: <?php echo esc_attr($heading_font_family) ?>;
}

.header-transparent .navbar-default,
.navbar-default {
    <?php echo esc_attr($menu_bg_color) ?>;
}

.header-transparent .header-wrapper.sticky .navbar-default,
.header-wrapper.sticky .navbar-default {
    <?php echo esc_attr($sticky_menu_bg_color) ?>;
}

.header-transparent .navbar-default .navbar-nav>li>a,
.navbar-default .navbar-nav>li>a{
    <?php echo esc_attr($default_font_color) ?>;
}

.header-wrapper.sticky .navbar-default .navbar-nav>li>a{
    <?php echo esc_attr($sticky_font_color) ?>;
}


<?php 
/**
* Color preset
*
* Color
*/
?>
a,
a:focus{
    color: <?php echo esc_attr($link_color) ?>;
}

<?php 
/**
* Color preset
*
* Color darken
*/
?>

a:hover,
.entry-header h2 a:hover{
    color: <?php echo esc_attr($link_darken) ?>;
}




<?php 
/**
*
* Section title color
*/
?>
.section-intro h2{
    color: <?php echo esc_attr($section_title) ?>;
}



<?php 
/**
*
* Background color
*/
?>
.theme-bg,
.light-pink-bg,
.vc_general.vc_btn3.vc_btn3-color-primary-color,
.woocommerce a.button,
.woocommerce button.button.alt,
.woocommerce input.button,
.woocommerce input.button.alt,
.woocommerce #respond input#submit,
.woocommerce .product .entry-summary a.single_add_to_cart_button,
.btn-primary,
.sction-title-wrapper .separator,
.navbar-default .navbar-toggle:focus, 
.navbar-default .navbar-toggle:hover,
.tt-home-slider .slides-navigation a:hover,
.page-title,
.member-info .social-link li a i.fa-envelope:hover,
.team-intro,
.single-member-page .member-info-content .team-social a i:hover,
.btn.submit-btn,
.entry-content .more-link:hover,
.post.format-link .blog-link a:hover,
.blog-carousel .carousel-control:focus, 
.blog-carousel .carousel-control:hover,
.pagination>li>a:hover, 
.pagination>li>span:hover, 
.pagination>li>a:focus, 
.pagination>li>span:focus,
.pagination .current,
.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus,
.blog-navigation a:hover,
.page-pagination a:hover,
.page-pagination > span,
.single-post-navigation .previous a:hover,
.single-post-navigation .next a:hover,
.comments-wrapper .comment-reply-title::after,
.comments-wrapper .comments-title::after,
.tt-sidebar-wrapper .widget-title::after,
.search-form button,
.widget.widget_mc4wp_form_widget,
.tagcloud a:hover,
.comment-info .comment-reply-link:hover,
.error-message a,
.error-message a:hover,
.backToTop i,
.social-links-wrap ul li a:hover,
#toTop:hover,
.vc_tta-panel.vc_active .vc_tta-panel-heading,
.partner-carousel .swiper-button-next,
.partner-carousel.item-top-border::after,
.partner-carousel.item-bottom-border::after,
.testimonial-carousel-wrapper .swiper-pagination-bullet-active,
.fact-wrap.style-one .count-title::before,
.standard-table .table-preset-one .table-header,
.table-preset-one .btn-primary,
.table-preset-one .btn-primary:active:hover,
.table-preset-one .btn-primary:active:focus,
.modern-table .table-preset-one .package-price,
.pricing-wrapper .nav-tabs>li.active>a, 
.pricing-wrapper .nav-tabs>li.active>a:focus, 
.pricing-wrapper .nav-tabs>li.active>a:hover,
.tt-filter-wrap.theme-default ul li button.active,
.portfolio-nav a i,
.work-showcase .carousel-control:focus, 
.work-showcase .carousel-control:hover,
.work-showcase .carousel-indicators .active,
.tt-content-wrapper.tt-icon-block-wrapper,
.vc_images_carousel .vc_carousel-control .icon-next,
.woocommerce a.added_to_cart,
.woocommerce .quantity .btn-quantity:hover,
#add_payment_method .wc-proceed-to-checkout a.checkout-button, 
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button, 
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle{
    background-color: <?php echo esc_attr($accent_color) ?>;
}


<?php 
/**
*
* Background color darken
*/
?>

.member-info .social-link li a i:hover,
.btn.submit-btn:hover,
.backToTop i:hover,
#add_payment_method .wc-proceed-to-checkout a.checkout-button:hover, 
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover, 
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button:hover,
.vc_general.vc_btn3.vc_btn3-color-primary-color:hover,
.vc_general.vc_btn3.vc_btn3-color-primary-color:focus,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:active:hover,
.btn-primary:active:focus,
.woocommerce a.button:hover,
.woocommerce a.button:focus,
.woocommerce a.button:active,
.woocommerce button.button.alt:hover,
.woocommerce button.button.alt:focus,
.woocommerce button.button.alt:active,
.woocommerce input.button:hover,
.woocommerce input.button:focus,
.woocommerce input.button:active,
.woocommerce input.button.alt:hover,
.woocommerce input.button.alt:focus,
.woocommerce input.button.alt:active,
.woocommerce #respond input#submit:hover,
.woocommerce #respond input#submit:focus,
.woocommerce #respond input#submit:active,
.woocommerce .product .entry-summary a.single_add_to_cart_button:hover,
.woocommerce .product .entry-summary a.single_add_to_cart_button:focus,
.woocommerce .product .entry-summary a.single_add_to_cart_button:active{
    background-color: <?php echo esc_attr($accent_darken) ?>;
}



<?php 
/**
*
* Color
*/
?>
.btn-outline:hover,
.btn-outline:focus,
.check-circle-list li:hover i,
.header-transparent .header-wrapper.sticky .navbar-nav>.active>a,
.header-transparent .header-wrapper.sticky .navbar-nav>.active>a:focus,
.header-transparent .header-wrapper.sticky .navbar-nav>.active>a:hover,
.header-transparent .navbar-default .navbar-nav>.active>a,
.header-transparent .navbar-default .navbar-nav>.active>a:focus,
.header-transparent .navbar-default .navbar-nav>.active>a:hover,
.navbar-default .navbar-nav>.active>a, 
.navbar-default .navbar-nav>.active>a:focus, 
.navbar-default .navbar-nav>.active>a:hover,
.navbar-default .navbar-nav>.open>a, 
.navbar-default .navbar-nav>.open>a:focus, 
.navbar-default .navbar-nav>.open>a:hover,
.dropdown-menu>.active>a, 
.dropdown-menu>.active>a:focus, 
.dropdown-menu>.active>a:hover,
.navbar-default .navbar-nav li.current-menu-ancestor.has-mega-menu-child>a:hover,
.navbar-default .navbar-nav li.current-menu-parent.has-mega-menu-child>a:hover,
.dropdown-menu>li>a:focus, 
.dropdown-menu>li>a:hover,
.navbar-default .navbar-nav .open .dropdown-menu>li>a:focus, 
.navbar-default .navbar-nav .open .dropdown-menu>li>a:hover,
.navbar-default .navbar-nav .open .dropdown-menu>.active>a, 
.navbar-default .navbar-nav .open .dropdown-menu>.active>a:focus, 
.navbar-default .navbar-nav .open .dropdown-menu>.active>a:hover,
.dropdown-menu-trigger.menu-collapsed,
.slides-navigation a,
.intro .btn:hover,
.intro-block a.learn-more,
.member-title h3 a:hover,
.team-intro .btn:hover,
.entry-header .entry-meta li a:hover,
.tt-popular-post .tab-content h4 a:hover,
.widget_recent_entries ul li  a:hover,
.widget_recent_comments ul li a:hover,
.widget_archive ul li a:hover,
.widget_pages ul li a:hover,
.widget_nav_menu ul li a:hover,
.widget .entry-meta ul li a:hover,
.nav-tabs>li.active>a,
.nav-tabs>li.active>a:focus,
.nav-tabs>li.active>a:hover,
.nav-tabs>li>a:hover,
.nav-tabs>li>a:focus,
.tt-popular-post h4 a:hover,
.author-info-wrapper .author-social-links li a i:hover,
.tt-recent-comments .comment-content .comment-title a:hover,
.widget_mc4wp_form_widget .btn:hover,
.widget_mc4wp_form_widget .btn:focus,
.widget_mc4wp_form_widget .btn,
.widget ul li a:hover,
.widget_categories ul li a:hover, 
.widget_meta ul li a:hover,
.widget_calendar #today,
.single-post .entry-footer .post-tags ul li:hover,
.single-post .entry-footer .post-tags ul li:hover a,
.single-post .entry-footer .post-share li a:hover,
.author-info h3 a:hover,
.authors-post a:hover,
.author-links ul li a:hover,
.address-wrapper .info-wrapper a:hover,
.error-message h2,
.footer-menu ul li a:hover,
.footer-sidebar .widget_nav_menu ul li a:hover,
.footer-logo p span,
.tt-latest-post .media-body h4 a:hover,
#toTop,
.icon-block .tt-icon a.theme-color, 
.icon-block h3.theme-color,
.icon-block h3 a.theme-color,
.action-btn a:hover,
.tt-filter-wrap.filter-transparent ul li button.active,
.portfolio-meta li a:hover,
.control-two:hover .carousel-control:hover,
.work-showcase .carousel-control,
.product_meta span a:hover,
.woocommerce .woocommerce-MyAccount-navigation ul li a:hover,
.woocommerce .woocommerce-MyAccount-navigation ul li.is-active a{
    color: <?php echo esc_attr($accent_color) ?>;
}


<?php 
/**
*
* Color important
*/
?>
.colored,
.theme-color,
.header-transparent .header-wrapper.sticky .navbar-nav>li>a:focus,
.header-transparent .header-wrapper.sticky .navbar-nav>li>a:hover,
.navbar-default .navbar-nav li a:focus,
.navbar-default .navbar-nav li a:hover,
.navbar-default .navbar-nav li.current-menu-ancestor>a,
.navbar-default .navbar-nav li.current-menu-parent>a,
.navbar-default .navbar-nav li.current-menu-item>a{
    color: <?php echo esc_attr($accent_color) ?> !important;
}

<?php 
/**
*
* Color darken
*/
?>

.entry-header h2 a:hover{
    color: <?php echo esc_attr($accent_darken) ?>;
}


<?php 
/**
*
* Border color
*/
?>

.vc_general.vc_btn3.vc_btn3-color-primary-color,
.woocommerce a.button,
.woocommerce button.button.alt,
.woocommerce input.button,
.woocommerce input.button.alt,
.woocommerce #respond input#submit,
.woocommerce .product .entry-summary a.single_add_to_cart_button,
.btn-primary,
.form-control:focus,
.dropdown-menu-trigger.menu-collapsed,
.navbar-default .navbar-toggle:focus, 
.navbar-default .navbar-toggle:hover,
.single-member-page .member-info-content .team-social a i:hover,
.btn.submit-btn,
.pagination .current,
.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus,
.blog-navigation a:hover,
.search-form .form-control:focus,
.author-info-wrapper .author-social-links li a i:hover,
.widget select:focus,
.search-filter-wrapper select:focus,
.comment-info .comment-reply-link:hover,
.footer-default-wrapper .social-links-wrap ul li a:hover,
.vc_tta.vc_general.vc_tta-color-theme_default_color.vc_tta-style-outline .vc_tta-panel.vc_active .vc_tta-panel-heading,
.icon-block.icon-square .tt-icon i.theme-color,
.icon-block.icon-round .tt-icon i.theme-color,
.icon-block.icon-circle .tt-icon i.theme-color,
.icon-block.icon-square:hover .tt-icon.icon-hover-default i.theme-color,
.icon-block.icon-round:hover .tt-icon.icon-hover-default i.theme-color,
.icon-block.icon-circle:hover .tt-icon.icon-hover-default i.theme-color,
.icon-block.icon-square:hover .tt-icon.icon-hover-default i.theme-color,
.icon-block.icon-round:hover .tt-icon.icon-hover-default i.theme-color,
.icon-block.icon-circle:hover .tt-icon.icon-hover-default i.theme-color,
.table-preset-one .btn-primary,
.table-preset-one .btn-primary:active:hover,
.table-preset-one .btn-primary:active:focus,
.project-overview blockquote,
.woocommerce #reviews input:focus,
.woocommerce #reviews textarea:focus,
.woocommerce .select2-choice:focus,
.woocommerce .input-text:focus,
#toTop{
    border-color: <?php echo esc_attr($accent_color) ?>;
}



<?php 
/**
*
* Border color important
*/
?>
.vc_tta-color-theme_default_color.vc_tta-style-outline .vc_tta-panel.vc_active .vc_tta-panel-title>a {
    border-color: <?php echo esc_attr($accent_color) ?> !important;
}


<?php 
/**
*
* Border color darken
*/
?>

.btn.submit-btn:hover,
.vc_general.vc_btn3.vc_btn3-color-primary-color:hover,
.vc_general.vc_btn3.vc_btn3-color-primary-color:focus,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:active:hover,
.btn-primary:active:focus,
.woocommerce a.button:hover,
.woocommerce a.button:focus,
.woocommerce a.button:active,
.woocommerce button.button.alt:hover,
.woocommerce button.button.alt:focus,
.woocommerce button.button.alt:active,
.woocommerce input.button:hover,
.woocommerce input.button:focus,
.woocommerce input.button:active,
.woocommerce input.button.alt:hover,
.woocommerce input.button.alt:focus,
.woocommerce input.button.alt:active,
.woocommerce #respond input#submit:hover,
.woocommerce #respond input#submit:focus,
.woocommerce #respond input#submit:active,
.woocommerce .product .entry-summary a.single_add_to_cart_button:hover,
.woocommerce .product .entry-summary a.single_add_to_cart_button:focus,
.woocommerce .product .entry-summary a.single_add_to_cart_button:active{
    border-color: <?php echo esc_attr($accent_darken) ?>;
}



<?php
/**
*
* Media query
*/
?>

@media (max-width : 767px) {
    .header-transparent .navbar-default,
    .navbar-default{
        <?php echo esc_attr($mobile_menu_bg_color)?> !important;
    }

    .header-wrapper.sticky .navbar-default {
        <?php echo esc_attr($sticky_menu_bg_color) ?> !important;
    }

    .header-transparent .navbar-default .navbar-nav li a,
    .navbar-default .navbar-nav li a{
        <?php echo esc_attr($mobile_menu_font_color) ?>;
    }

    .navbar-default .navbar-nav .open .dropdown-menu>li>a:focus, 
    .navbar-default .navbar-nav .open .dropdown-menu>li>a:hover,
    .navbar-default .navbar-nav .open .dropdown-menu>.active>a, 
    .navbar-default .navbar-nav .open .dropdown-menu>.active>a:focus, 
    .navbar-default .navbar-nav .open .dropdown-menu>.active>a:hover{
        color: <?php echo esc_attr($accent_color) ?>;
    }
}


<?php
/**
*
* custom css code
*/
?>

<?php echo esc_attr(markety_option('custom_style'));?>