<?php
/*
Plugin Name: Trendy Theme Plugin
Plugin URI: http://www.trendytheme.net
Description: Trendy Theme Plugin
Author: Trendy Theme
Version: 1.4
Author URI: http://www.trendytheme.net
*/

if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

// Defining Constance
define( 'TT_PLUGIN_URL', plugin_dir_url(__FILE__) );
define( 'TT_PLUGIN_DIR', dirname(__FILE__));
define( 'TT_PLUGIN_PATH', dirname( plugin_basename(__FILE__) ) );


// Loading TextDomain

function tt_plugin_init() {
	load_plugin_textdomain( 'tt-pl-textdomain', false, TT_PLUGIN_PATH . '/languages/' );
}
add_action( 'plugins_loaded', 'tt_plugin_init' );


// Loading Admin Scripts, Stylesheets

function tt_wp_admin_scripts() {
	// Fontawesome icon
	wp_enqueue_style( 'tt-fontawesome-css', TT_PLUGIN_URL . 'css/font-awesome.min.css' );
	// Select 2 CSS
	wp_enqueue_style( 'tt-select2-css', TT_PLUGIN_URL . 'css/select2.min.css' );
	// Custom CSS
	wp_enqueue_style( 'tt-custom-css', TT_PLUGIN_URL . 'css/custom.css' );

	// Custom Script
	wp_enqueue_script( 'tt-post-formate', TT_PLUGIN_URL . 'js/posts-meta.js' );
	// Select 2 JS
	wp_enqueue_script( 'tt-select2-js', TT_PLUGIN_URL . 'js/select2.min.js' );
	// Scripts
	wp_enqueue_script( 'tt-scripts-js', TT_PLUGIN_URL . 'js/scripts.js' );
}

add_action( 'admin_enqueue_scripts', 'tt_wp_admin_scripts' );


// Custom styles
function tt_custom_style() {
	if (class_exists('ReduxFrameworkPlugin')) :
	    wp_enqueue_style('tt-custom-style', TT_PLUGIN_URL . 'inc/custom-style.php', array(), NULL);
	endif;
}
add_action('wp_enqueue_scripts', 'tt_custom_style', 99);


// hide vc admin notic
function tt_hide_vc_admin_notice() {
    if(is_admin()) :
        setcookie('vchideactivationmsg', '1', strtotime('+3 years'), '/');
        setcookie('vchideactivationmsg_vc11', (defined('WPB_VC_VERSION') ? WPB_VC_VERSION : '1'), strtotime('+3 years'), '/');
    endif;
}
add_action('admin_init', 'tt_hide_vc_admin_notice');


// Remove demo mode active/deactive option
function tt_remove_redux_demo_mode() { // Be sure to rename this function to something more unique
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'tt_remove_redux_demo_mode');


// Custom post type
require_once TT_PLUGIN_DIR . "/inc/post-types/post-types.php";
// post like
require_once TT_PLUGIN_DIR . "/inc/post-likes/zilla-likes.php";
// popular post
require_once TT_PLUGIN_DIR . "/inc/widgets/popular-post/tt-popular-post.php";
// author widget
require_once TT_PLUGIN_DIR . "/inc/widgets/author-widget.php";
// comment widget
require_once TT_PLUGIN_DIR . "/inc/widgets/comments-widget.php";
// latest post widget
require_once TT_PLUGIN_DIR . "/inc/widgets/latest-posts.php";
// Flickr photo widget
require_once TT_PLUGIN_DIR . "/inc/widgets/flickr-widget.php";
// Fonts
require_once TT_PLUGIN_DIR . "/inc/fonts/font-awesome-icons.php";
// Google map API key
require_once TT_PLUGIN_DIR . "/inc/api-key-for-google-maps.php";
// import process file
require_once TT_PLUGIN_DIR . "/inc/demo-import.php";